﻿/* modo dark */
body {
    color: #fff;
    background-color: #000;
}

a {
    color: #fff;
}

    a:hover {
        color: #fff;
    }

.modal-footer {
    border-top: 1px solid #111;
}

.navbar-default {
    background-color: #000;
    border-color: #000;
}

    .navbar-default .navbar-collapse, .navbar-default .navbar-form {
        border-color: #000;
    }

    .navbar-default .navbar-brand {
        color: #eee;
    }

    .navbar-default .navbar-nav > .open > a, .navbar-default .navbar-nav > .open > a:focus, .navbar-default .navbar-nav > .open > a:hover {
        color: #fff;
        background-color: #555;
        border-radius: 0.4em;
    }

    .navbar-default .navbar-nav > li > a {
        color: #aaa;
        margin: 0.2em;
    }

        .navbar-default .navbar-nav > li > a:hover {
            color: #fff;
            background-color: #555;
            border-radius: 0.4em;
        }

    .navbar-default .navbar-nav > li > .selected {
        background-color: #333;
        border-radius: 0.4em;
        margin: 0.2em;
    }

    .navbar-default .navbar-nav > li > .track {
        background-color: #337ab7;
        color: #fff;
        border-radius: 0.4em;
        margin: 0.2em;
    }

.navbar-nav > li > a {
    line-height: 0.4em;
}

.navbar-nav > li > a {
    line-height: 0.4em;
}

    .navbar-nav > li > a .glyphicon {
        line-height: unset;
    }

.nav-tabs {
    border-bottom: 1px solid #222;
}

    .nav-tabs > li.active > a, .nav-tabs > li.active > a:focus, .nav-tabs > li.active > a:hover {
        color: #fff;
        background-color: #222;
        border: 1px solid #000;
        border-radius: 0.4em;
    }

    .nav-tabs > li > a:hover {
        border-color: #111 #111 #222;
    }


.nav > li > a:focus, .nav > li > a:hover {
    text-decoration: none;
    background-color: #222;
    color: #fff;
}

.dropdown-menu {
    background-color: #000;
    border: 1px solid #444;
}

    .dropdown-menu > li > a {
        color: #ccc;
    }

        .dropdown-menu > li > a:focus, .dropdown-menu > li > a:hover {
            color: #fff;
            background-color: #555;
        }

.form-control {
    color: #fff;
    background-color: #111;
    border: 1px solid #333;
    box-shadow: none;
    transition: none;
}

    .form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control {
        background-color: #111;
    }

#dashboard img {
    max-width: 60px;
    max-height: 60px;
}

#workspace > div .location {
    color: #337ab7;
}

.dataTable {
    color: #ccc;
}

.dataTables_wrapper {
    top: 1em;
}

table.dataTable.no-footer {
    border-bottom: 1px solid #111;
}

table.dataTable thead th, table.dataTable thead td, table.table thead th, table.table thead td {
    border-bottom: 1px solid #111;
    background-color: #252525;
}

.dataTables_wrapper .dataTables_length, .dataTables_wrapper .dataTables_filter, .dataTables_wrapper .dataTables_info, .dataTables_wrapper .dataTables_processing, .dataTables_wrapper .dataTables_paginate {
    color: #ccc;
}

table.dataTable.stripe tbody tr.odd, table.dataTable.display tbody tr.odd {
    background-color: #060606;
}

table.dataTable.display tbody tr.odd {
    background-color: #181818;
}

table.dataTable tbody tr {
    background-color: #000;
}

table.dataTable.display tbody tr.odd > .sorting_1, table.dataTable.order-column.stripe tbody tr.odd > .sorting_1 {
    background-color: #2e2e2e;
}

table.dataTable.display tbody tr.even > .sorting_1, table.dataTable.order-column.stripe tbody tr.even > .sorting_1 {
    background-color: #252525;
}

table.dataTable.row-border tbody th, table.dataTable.row-border tbody td, table.dataTable.display tbody th, table.dataTable.display tbody td {
    border-top: 1px solid #222;
}

table.dataTable.hover tbody tr:hover, table.dataTable.display tbody tr:hover {
    cursor: pointer;
    background-color: #393939
}

    table.dataTable.hover tbody tr:hover.selected, table.dataTable.display tbody tr:hover.selected {
        background-color: #ff482e
    }

.pagination > .disabled > a, .pagination > .disabled > a:focus, .pagination > .disabled > a:hover, .pagination > .disabled > span, .pagination > .disabled > span:focus, .pagination > .disabled > span:hover {
    color: #888;
    background-color: #222;
    border-color: #222;
}

.pagination > li > a, .pagination > li > span {
    color: #ddd;
    background-color: #000;
    border: 1px solid #222;
    border-top-color: #222;
    border-right-color: #222;
    border-bottom-color: #222;
    border-left-color: #222;
}

.tab-content {
    background-color: #333;
}

.input-group-addon {
    color: #aaa;
    background-color: #222;
    border: 1px solid #000;
}

.table > tbody > tr > td, .table > tbody > tr > th, .table > tfoot > tr > td, .table > tfoot > tr > th, .table > thead > tr > td, .table > thead > tr > th {
    border-top: 1px solid #393939;
}

.table-striped > tbody > tr:nth-of-type(odd) {
    background-color: #2e2e2e;
}

.table-hover > tbody > tr:hover {
    background-color: #393939;
}

.panel {
    background-color: #222;
    -webkit-box-shadow: 0 1px 1px rgba(255,255,255,.05);
    box-shadow: 0 1px 1px rgba(255,255,255,.05);
}

.panel-default {
    border-color: #222;
    background-color: #111;
}

    .panel-default > .panel-heading {
        color: #ccc;
        background-color: #0a0a0a;
        border-color: #222;
    }

.btn-default {
    color: #ccc;
    background-color: #0a0a0a;
    border-color: #333;
}

    .btn-default:focus, .btn-default.focus {
        color: #ccc;
        background-color: #191919;
        border-color: #737373;
    }

    .btn-default:hover {
        color: #ccc;
        background-color: #191919;
        border-color: #525252;
    }

    .btn-default:active,
    .btn-default.active,
    .open > .dropdown-toggle.btn-default {
        color: #ccc;
        background-color: #191919;
        border-color: #525252;
    }

        .btn-default:active:hover,
        .btn-default.active:hover,
        .open > .dropdown-toggle.btn-default:hover,
        .btn-default:active:focus,
        .btn-default.active:focus,
        .open > .dropdown-toggle.btn-default:focus,
        .btn-default:active.focus,
        .btn-default.active.focus,
        .open > .dropdown-toggle.btn-default.focus {
            color: #ccc;
            background-color: #2b2b2b;
            border-color: #737373;
        }

    .btn-default.disabled:hover,
    .btn-default[disabled]:hover,
    fieldset[disabled] .btn-default:hover,
    .btn-default.disabled:focus,
    .btn-default[disabled]:focus,
    fieldset[disabled] .btn-default:focus,
    .btn-default.disabled.focus,
    .btn-default[disabled].focus,
    fieldset[disabled] .btn-default.focus {
        background-color: #000;
        border-color: #333;
    }

    .btn-default .badge {
        color: #000;
        background-color: #333;
    }

.btn-primary {
    background-color: #1B4363;
    border-color: #183751;
}

    .btn-primary:focus,
    .btn-primary.focus {
        background-color: #204E72;
        border-color: #0B1A26;
    }

    .btn-primary:hover {
        background-color: #204E72;
        border-color: #102A3D;
    }

    .btn-primary:active,
    .btn-primary.active,
    .open > .dropdown-toggle.btn-primary {
        background-color: #204E72;
        border-color: #102A3D;
    }

        .btn-primary:active:hover,
        .btn-primary.active:hover,
        .open > .dropdown-toggle.btn-primary:hover,
        .btn-primary:active:focus,
        .btn-primary.active:focus,
        .open > .dropdown-toggle.btn-primary:focus,
        .btn-primary:active.focus,
        .btn-primary.active.focus,
        .open > .dropdown-toggle.btn-primary.focus {
            background-color: #102A3D;
            border-color: #0B1A26;
        }

    .btn-primary.disabled:hover,
    .btn-primary[disabled]:hover,
    fieldset[disabled] .btn-primary:hover,
    .btn-primary.disabled:focus,
    .btn-primary[disabled]:focus,
    fieldset[disabled] .btn-primary:focus,
    .btn-primary.disabled.focus,
    .btn-primary[disabled].focus,
    fieldset[disabled] .btn-primary.focus {
        background-color: #1B4363;
        border-color: #183751;
    }

    .btn-primary .badge {
        color: #1B4363;
    }

.btn-success {
    background-color: #428442;
    border-color: #274F27;
}

    .btn-success:focus,
    .btn-success.focus {
        background-color: #2E682E;
        border-color: #0E210E;
    }

    .btn-success:hover {
        background-color: #2E682E;
        border-color: #224F22;
    }

    .btn-success:active,
    .btn-success.active,
    .open > .dropdown-toggle.btn-success {
        background-color: #2E682E;
        border-color: #224F22;
    }

        .btn-success:active:hover,
        .btn-success.active:hover,
        .open > .dropdown-toggle.btn-success:hover,
        .btn-success:active:focus,
        .btn-success.active:focus,
        .open > .dropdown-toggle.btn-success:focus,
        .btn-success:active.focus,
        .btn-success.active.focus,
        .open > .dropdown-toggle.btn-success.focus {
            background-color: #224F22;
            border-color: #0E210E;
        }

    .btn-success.disabled:hover,
    .btn-success[disabled]:hover,
    fieldset[disabled] .btn-success:hover,
    .btn-success.disabled:focus,
    .btn-success[disabled]:focus,
    fieldset[disabled] .btn-success:focus,
    .btn-success.disabled.focus,
    .btn-success[disabled].focus,
    fieldset[disabled] .btn-success.focus {
        background-color: #428442;
        border-color: #274F27;
    }

    .btn-success .badge {
        color: #428442;
    }

.btn-info {
    background-color: #4695AA;
    border-color: #368DA5;
}

    .btn-info:focus,
    .btn-info.focus {
        background-color: #2686A0;
        border-color: #114351;
    }

    .btn-info:hover {
        background-color: #2686A0;
        border-color: #1C7087;
    }

    .btn-info:active,
    .btn-info.active,
    .open > .dropdown-toggle.btn-info {
        background-color: #2686A0;
        border-color: #1C7087;
    }

        .btn-info:active:hover,
        .btn-info.active:hover,
        .open > .dropdown-toggle.btn-info:hover,
        .btn-info:active:focus,
        .btn-info.active:focus,
        .open > .dropdown-toggle.btn-info:focus,
        .btn-info:active.focus,
        .btn-info.active.focus,
        .open > .dropdown-toggle.btn-info.focus {
            background-color: #1C7087;
            border-color: #114351;
        }

    .btn-info.disabled:hover,
    .btn-info[disabled]:hover,
    fieldset[disabled] .btn-info:hover,
    .btn-info.disabled:focus,
    .btn-info[disabled]:focus,
    fieldset[disabled] .btn-info:focus,
    .btn-info.disabled.focus,
    .btn-info[disabled].focus,
    fieldset[disabled] .btn-info.focus {
        background-color: #4695AA;
        border-color: #368DA5;
    }

    .btn-info .badge {
        color: #4695AA;
    }

.btn-warning {
    background-color: #BC883E;
    border-color: #BA7E2A;
}

    .btn-warning:focus,
    .btn-warning.focus {
        background-color: #B77519;
        border-color: #633D08;
    }

    .btn-warning:hover {
        background-color: #B77519;
        border-color: #A0630E;
    }

    .btn-warning:active,
    .btn-warning.active,
    .open > .dropdown-toggle.btn-warning {
        background-color: #B77519;
        border-color: #A0630E;
    }

        .btn-warning:active:hover,
        .btn-warning.active:hover,
        .open > .dropdown-toggle.btn-warning:hover,
        .btn-warning:active:focus,
        .btn-warning.active:focus,
        .open > .dropdown-toggle.btn-warning:focus,
        .btn-warning:active.focus,
        .btn-warning.active.focus,
        .open > .dropdown-toggle.btn-warning.focus {
            background-color: #A0630E;
            border-color: #633D08;
        }

    .btn-warning.disabled:hover,
    .btn-warning[disabled]:hover,
    fieldset[disabled] .btn-warning:hover,
    .btn-warning.disabled:focus,
    .btn-warning[disabled]:focus,
    fieldset[disabled] .btn-warning:focus,
    .btn-warning.disabled.focus,
    .btn-warning[disabled].focus,
    fieldset[disabled] .btn-warning.focus {
        background-color: #BC883E;
        border-color: #BA7E2A;
    }

    .btn-warning .badge {
        color: #BC883E;
    }

.btn-danger {
    background-color: #A53F3D;
    border-color: #A02E2C;
}

    .btn-danger:focus,
    .btn-danger.focus {
        background-color: #932220;
        border-color: #420F0E;
    }

    .btn-danger:hover {
        background-color: #932220;
        border-color: #771B1A;
    }

    .btn-danger:active,
    .btn-danger.active,
    .open > .dropdown-toggle.btn-danger {
        background-color: #932220;
        border-color: #771B1A;
    }

        .btn-danger:active:hover,
        .btn-danger.active:hover,
        .open > .dropdown-toggle.btn-danger:hover,
        .btn-danger:active:focus,
        .btn-danger.active:focus,
        .open > .dropdown-toggle.btn-danger:focus,
        .btn-danger:active.focus,
        .btn-danger.active.focus,
        .open > .dropdown-toggle.btn-danger.focus {
            background-color: #771B1A;
            border-color: #420F0E;
        }

    .btn-danger.disabled:hover,
    .btn-danger[disabled]:hover,
    fieldset[disabled] .btn-danger:hover,
    .btn-danger.disabled:focus,
    .btn-danger[disabled]:focus,
    fieldset[disabled] .btn-danger:focus,
    .btn-danger.disabled.focus,
    .btn-danger[disabled].focus,
    fieldset[disabled] .btn-danger.focus {
        background-color: #A53F3D;
        border-color: #A02E2C;
    }

    .btn-danger .badge {
        color: #A53F3D;
    }


.chosen-container-single .chosen-default {
    color: #888;
}

.chosen-container .chosen-drop {
    background: #000;
}

.alert-warning {
    color: #EFBB67;
    background-color: #333328;
    border-color: #faebcc;
}

.chosen-container-single .chosen-default {
    color: #888
}

.chosen-container-single .chosen-single {
    background-color: #000;
    border: 1px solid #333;
    -webkit-box-shadow: inset 0 1px 1px rgba(255,255,255,.075);
    box-shadow: inset 0 1px 1px rgba(255,255,255,.075);
    color: #aaa;
}

.chosen-container .chosen-results {
    color: #aaa;
}

.chosen-container .chosen-drop {
    background: #000;
    border: 1px solid #333;
    -webkit-box-shadow: 0 8px 8px rgba(255,255,255,.25);
    box-shadow: 0 8px 8px rgba(255,255,255,.25);
}

.chosen-container-single .chosen-search input[type="text"] {
    background-color: #000;
    border: 1px solid #333;
    -webkit-box-shadow: inset 0 1px 1px rgba(255,255,255,.075);
    box-shadow: inset 0 1px 1px rgba(255,255,255,.075);
}

.chosen-container-active.chosen-with-drop .chosen-single {
    background-color: #000;
    border: 1px solid #331906;
    -webkit-box-shadow: 0 1px 1px rgba(255,255,255,.075) inset,0 0 8px #66afe9;
    box-shadow: 0 1px 1px rgba(255,255,255,.075) inset,0 0 8px #66afe9;
}

.bootstrap-timepicker-widget table td a {
    color: #ccc;
}

.bootstrap-timepicker-widget.dropdown-menu:before {
    border-bottom: 7px solid rgba(255,255,255,0.2);
}

.bootstrap-timepicker-widget.dropdown-menu:after {
    border-bottom: 6px solid #000;
}

.bootstrap-timepicker-widget.timepicker-orient-bottom:before {
    border-top: 7px solid #666
}

.bootstrap-timepicker-widget.timepicker-orient-bottom:after {
    border-top: 6px solid #000
}

.bootstrap-timepicker-widget table td a:hover {
    background-color: #111;
    border-color: #222
}

.bootstrap-timepicker-widget table td input {
    background-color: #000;
}

/* outras */
.container-fluid {
    padding: 0 !important;
    margin: 0 !important;
    width: 100% !important;
}

.container {
    padding: 0 !important;
    margin: 0 !important;
    width: 100% !important;
}

    .container .row {
        margin: 0 !important;
    }

.nav-pills > li + li {
    margin-left: unset !important;
}

.mychk, .mychk label, .mychk.checkbox, .mychk.checkbox label, .mychk input[type="checkbox"] {
    position: unset !important;
    margin: 0.12em 0 0 0 !important;
    min-height: 0 !important;
}

.topsep {
    margin-top: 0.4em;
}

.input-group .input-group-addon {
    width: 0;
}

.mypick input, .rpick input {
    max-width: 7.15em;
    width: 7.15em;
}

.fullwidth {
    width: 100% !important;
}

    .fullwidth .col-sm-3, .fullwidth .col-sm-9 {
        padding: unset !important;
    }

.panel-title [class*="col-"] {
    padding-left: 0 !important;
    padding-right: 0 !important;
}

#fltPerm {
    max-width: 14em;
}

.modal-body input[type="number"] {
    width: 5em;
}

.infolabels {
    color: #eaeaea;
}

.bdinfo {
    color: #eaeaea;
}

.rBorder {
    border-radius: 5px 5px;
}

.divMan {
    margin-top: 0.6em;
}

.bottom5px {
    margin-bottom: 5px;
}

.langIcon {
    margin: 0 0.5em;
    padding: 0.2em;
}

.langIconSel {
    border: 1px solid #ccc;
    border-radius: 5px 5px;
    padding: 0.2em;
}

#logothm {
    position: relative;
    top: 0.6em;
}

#progressBackgroundFilter {
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    overflow: hidden;
    padding: 0;
    margin: 0;
    background-color: #333;
    filter: alpha(opacity=60);
    opacity: 0.6;
    z-index: 10000;
    text-align: center;
}

.procWait {
    overflow: hidden;
    padding: 0;
    margin: 15% auto;
    text-align: center;
}

#processMessage {
    position: absolute;
    top: 50%;
    left: 50%;
    z-index: 10001;
    padding: 0.6em;
    border: solid 1px #999;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    font-size: small;
    font-weight: bold;
    vertical-align: middle;
    width: 200px;
    line-height: 35px;
    margin-left: -100px;
    margin-top: -14px;
    background-color: #000;
}

    #processMessage img {
        margin-right: 5px;
        max-width: 31px;
        min-width: 31px;
    }

.vertical-alignment-helper {
    display: table;
    height: 100%;
    width: 100%;
    pointer-events: none;
}

.vertical-align-center {
    display: table-cell;
    vertical-align: middle;
    pointer-events: none;
}

.modal-content {
    width: inherit;
    height: inherit;
    margin: 0 auto;
    pointer-events: all;
    box-shadow: none;
    background-color: #333;
}

.nav > li > p {
    margin: 14px 0
}

.downlink {
    position: relative;
    top: -25px;
    cursor: pointer !important;
}

.navbar {
    border-radius: 0;
    margin-bottom: 0;
}

#workspace {
    margin-top: 0.6em;
}

td.nowrap {
    white-space: nowrap;
}

.fileinput-button {
    position: relative;
    overflow: hidden;
    display: inline-block;
}

    .fileinput-button input {
        position: absolute;
        top: 0;
        right: 0;
        margin: 0;
        opacity: 0;
        -ms-filter: 'alpha(opacity=0)';
        font-size: 200px !important;
        direction: ltr;
        cursor: pointer;
    }

.modal-header {
    padding: 9px 15px;
    border-bottom: 1px solid #111;
    background-color: #204E72;
    color: #fff;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.main-icon {
    height: 150px;
    width: 150px;
    margin: 0 auto;
}

.icon {
    width: 2em;
    height: 2em;
}

.iconsm {
    width: 1.2em;
    height: 1.2em;
}

#navbarlogo {
    position: relative;
    top: -0.3em;
    left: 0.3em;
    width: 90px;
}

#LoginForm h1 {
    text-shadow: 1px 1px 1px #7a7a7a
}

.logoward {
    width: 300px;
}

.rodapeinfo {
    clear: both;
    width: 100% !important;
    position: absolute;
    bottom: 30px;
    text-align: center;
}

#menu, #menu .nav {
    padding: 0 !important;
    overflow-y: auto;
    height: 100vh;
}

.nopadding {
    padding: 0 !important;
}

.pagination {
    margin: 0 !important;
}

.dataTables_paginate .paginate_button {
    padding: 0 1px !important;
}

td.nowrap {
    white-space: nowrap;
}

.loginPanel {
    min-width: 250px
}

.login .input-group-addon {
    min-width: 13rem;
}

.login .input-group {
    margin-top: 1rem;
}

.valiadationPanel {
    margin-bottom: 0 !important;
}

.buttonLogin {
    min-width: 120px;
}

.nopadleft {
    padding-left: 0;
}

.curHand {
    cursor: pointer;
}

.btnGrid {
    padding: 2px 5px;
    margin-left: 1px !important;
}

.blue {
    background-color: #36A2EB;
    color: #fff;
}

.green {
    background-color: #30EB30;
    color: #fff;
}

.greenText {
    color: #30EB30;
}

.orange {
    background-color: #FF7F30;
    color: #fff;
}

.red {
    background-color: #FF1321;
    color: #fff;
}

.redText {
    color: #FF1321;
}

.graytext {
    color: #555;
    font-style: italic;
}

.px40 {
    width: 40px !important;
}

.px60 {
    width: 60px !important;
}

.Mpx60 {
    max-width: 60px !important;
}

.nrRec {
    width: 60px !important;
}

.px70 {
    width: 70px !important;
}

.px80 {
    width: 80px !important;
}

.pxm80 {
    width: 80px !important;
    max-width: 80px !important;
}

.px110 {
    width: 110px !important;
}

.px120 {
    width: 120px !important;
}

.min80 {
    min-width: 80px !important;
    text-wrap-mode: wrap;
    white-space: wrap;
}

.min100 {
    min-width: 100px !important;
    text-wrap-mode: wrap;
    white-space: wrap;
}

.pxm120 {
    width: 120px !important;
    max-width: 120px !important;
}

.px180 {
    width: 180px !important;
}

.fixedlabel-s {
    width: 85px !important;
    text-align: right;
}


.fixedlabel {
    width: 9em !important;
    text-align: right;
}

#clitab .fixedlabel {
    width: 10em !important;
    text-align: right;
}

.fixedlabel2 {
    width: 9.43em !important;
    text-align: right;
}

    .fixedlabel2 .checkbox-slider--b-flat {
        margin-top: unset !important;
        margin-bottom: unset !important;
    }

.inlinectrl {
    float: unset !important;
}

.timepicker {
    max-width: 7.5em !important
}

.leftmarg {
    margin-left: 0.6em;
}

.form-horizontal .row {
    margin-top: 0.6em !important;
    margin-bottom: 0.6em !important;
}

.tab-pane .row, .topgap, .modal-body .row, .modal-body .panel, .panel-body .row, .seprow .row {
    margin-top: 5px;
}

.tab-pane .btn-toolbar {
    margin-top: 5px !important;
    margin-bottom: 5px !important;
}

.modal-body .panel-heading {
    padding: 1px 15px;
}

.modal-body hr {
    margin: 5px 0;
}

.tabPerm {
    height: 19em;
}

#selDiv {
    height: 28em;
    max-height: 28em;
    overflow-y: auto;
    overflow-x: hidden;
}

.legenda {
    margin: unset !important;
}

.tabAut {
    height: 19em;
}

.usertab {
    min-height: 23em;
    max-height: 23em;
    overflow-x: hidden;
    overflow-y: auto;
}

#tabKey .tab-pane {
    min-height: 23em;
    max-height: 23em;
    overflow-x: hidden;
    overflow-y: auto;
}

#sites {
    max-height: 9.5em;
}

.key {
    width: 2em;
    height: 2em;
}

#logoward {
    margin: 50px 0
}

.nrmCtrl {
    width: unset !important;
    float: none !important;
}

ul, .treeview {
    list-style-type: none;
}

.treeview {
    margin: 0;
    padding: 0;
}

.tvbtn {
    margin-left: 2px !important;
    height: 20px;
    width: 20px;
    display: inline-block;
    text-align: center;
}

    .tvbtn:hover {
        border-radius: 1px 1px;
        background-color: #ababab;
    }

.tvcaret {
    cursor: pointer;
    -webkit-user-select: none; /* Safari 3.1+ */
    -moz-user-select: none; /* Firefox 2+ */
    -ms-user-select: none; /* IE 10+ */
    user-select: none;
}

    .tvcaret::before {
        content: "\25B6";
        color: black;
        display: inline-block;
        margin-right: 6px;
    }

.tvcaret-down::before {
    -ms-transform: rotate(90deg); /* IE 9 */
    -webkit-transform: rotate(90deg); /* Safari */
    ' transform: rotate(90deg);
}

.tvnested {
    display: none;
}

.tvactive {
    display: block;
}

.sidebar {
    overflow-x: hidden;
    overflow-y: auto;
}

    .sidebar .btn {
        width: 95%;
        text-align: left;
    }

    .sidebar li.active div.btn.btn-default {
        background-color: #1B4363;
        color: #fff;
    }

.table-fixed {
    overflow-y: auto !important;
}

    .table-fixed th {
        top: 0 !important;
        position: sticky !important;
        background-color: #111 !important;
        z-index: 10 !important;
        vertical-align: middle !important;
    }


.up-icon {
    display: none;
    background: url(../Images/up_icon.png) no-repeat;
}

.scrollbtn {
    position: fixed;
    bottom: 20px;
    right: 30px;
    content: "";
    width: 28px;
    height: 28px;
    border-radius: 5px;
    cursor: pointer;
}

#scrollbtn:hover {
    background-color: #555; /* Add a dark-grey background on hover */
}

#reports, hr {
    margin-top: 5px;
    margin-bottom: 5px;
}

.rdia {
    min-width: 3em;
}

#timeDefDrc .col-xs-4, #timeDefHr .col-xs-4 {
    padding-right: 0px !important;
}

.alarms, .dk {
    cursor: pointer;
}

.label2 {
    margin: 5px 0;
}

.bigtext {
    font-size: 14px;
}

.row br {
    margin: 1em 0;
}

.info {
    margin-bottom: 1em;
}

.infoPanel {
    height: 6.8em;
    border-radius: 0.5em;
    padding-top: 0.4em;
    box-shadow: 1px 1px 2px #333;
}

    .infoPanel img {
        width: 3.5rem;
        height: 6.8em;
        vertical-align: middle;
    }

    .infoPanel .nr {
        width: 100%;
        margin-top: 2rem;
        padding: unset !important;
        font-size: 3rem;
        text-align: right;
    }

    .infoPanel .text {
        width: 100%;
        padding: unset !important;
        font-size: 1.5rem;
        text-align: right;
        top: 3.5rem;
    }

    .infoPanel .label {
        width: 100%;
        font-size: 1.2rem;
        text-align: right;
        padding: unset !important;
    }

.calendar-container {
    background: #222;
    border-radius: 0.6em;
    box-shadow: 0 0.2em 1em rgba(0, 0, 0, 0.12);
    padding: 0.1rem;
}

header .calendar-navigation {
    display: flex;
}

    header .calendar-navigation span {
        height: 2.3em;
        width: 2.3em;
        margin: 0 1px;
        cursor: pointer;
        text-align: center;
        line-height: 2.3em;
        border-radius: 50%;
        user-select: none;
        color: #515454;
        font-size: 1.9rem;
    }

.calendar-navigation span:last-child {
    margin-right: -0.6em;
}

header .calendar-navigation span:hover {
    background: #0d0d0d;
}

header .calendar-current-date {
    font-weight: 500;
    font-size: 1.5rem;
    padding: 1.2rem 0.5rem 0 0.5rem;
    font-weight: bold;
    margin-left: 1rem;
}

.text-italic {
    font-style: italic;
}

.calendar-body {
    padding: 1.2em;
    margin-left: -2.2em;
}

    .calendar-body ul {
        list-style: none;
        flex-wrap: wrap;
        display: flex;
        text-align: center;
    }

    .calendar-body .calendar-dates {
        margin-bottom: 1.2em;
    }

    .calendar-body li {
        width: calc(100% / 7);
        font-size: 1.2rem;
        color: #bebebe;
    }

        .calendar-body li:hover {
            width: calc(100% / 7);
            font-size: 1.2rem;
            color: #000;
        }

    .calendar-body .calendar-weekdays li {
        cursor: default;
        font-weight: 500;
    }

    .calendar-body .calendar-dates li {
        margin-top: 1.8em;
        position: relative;
        z-index: 1;
        cursor: pointer;
    }

.calendar-dates li.inactive {
    color: #555;
    cursor: default;
}

.calendar-dates li.active {
    color: #000;
}

.calendar-dates li::before {
    position: absolute;
    content: "";
    z-index: -1;
    top: 50%;
    left: 50%;
    width: 2.5em;
    height: 2.5em;
    border-radius: 50%;
    transform: translate(-50%, -50%);
}

.calendar-dates li.active::before {
    background: #31708f;
}

.calendar-dates li.selected::before {
    background: #47acff !important;
}

.calendar-dates li.selected {
    color: #000;
}

.calgray {
    color: #363636 !important;
}

.calgreen {
    color: #30EB30 !important;
}

.calorange {
    color: #FF7F30 !important;
}

.calred {
    color: #FF1321 !important;
}

.calendar-dates li:not(.active):hover::before {
    background: #e4e1e1;
}

#areahortab > table > thead > tr > th:nth-child(2),
#areahortab > table > tbody > tr > td:nth-child(3) {
    border-right: 2px solid #ddd;
}

#areahortab > table > tbody > tr > td:nth-child(1) {
    position: relative;
    top: 0.4em;
}

#tabArea {
    height: 30em !important;
}

#areaUsers, #areaKeys {
    height: 23em !important;
}

#tabArea .tab-content .table-responsive,
#areahortab {
    margin-top: 1em;
}

.rowlogin {
    width: 22em;
    margin: 4rem auto 0 auto;
}

    .rowlogin .form-group {
        margin-top: 1rem;
    }

        .rowlogin .form-group label {
            margin-left: 1rem;
        }

    .rowlogin .col-xs-12, .rowlogin .col-xs-5, .rowlogin .col-xs-7 {
        padding-left: unset !important;
        padding-right: unset !important;
    }

#btnRecuperar {
    display: flex;
    align-items: center;
    height: 2.9em;
}

footer {
    background-color: #000;
    color: #ccc;
    padding: 0 2em;
}

#search .logoward {
    max-height: 2em;
    margin-top: 1em;
    width: unset;
}

#srch {
    margin: auto 0;
}

#charts .panel {
    margin-top: 1em;
}

#main .row {
    margin: 0 !important;
}

.axis line,
.axis path {
    stroke: #fff;
}

.axis text {
    fill: #fff;
}

#frmLoginCode label, #frmLoginCode input {
    text-align: center;
    font-size: 2em;
}

    #frmLoginCode, #frmLoginCode input {
        height: unset!important;
    }

.noty_type_warning{
    color: #333;
}

.noty_buttons {
    background-color:#333!important;
}

@media(min-width: 768px) {
    .label-vert-fix {
        position: relative;
        top: 6px;
    }

    .pnlRtpItv {
        height: 10em;
    }
}

@media(max-width: 768px) {
    .logoward {
        max-height: 80px;
    }
}

@media(max-width: 480px) {
    #logoward {
        margin: 0.6em 0
    }
}

@media (min-width: 480px) {
    .rowlogos {
        width: 480px;
        margin: 0 auto;
    }

    .pnlSelRpt {
        height: 20em;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .pnlSelNt {
        height: 18em;
        overflow-y: auto;
        overflow-x: hidden;
    }
}
